Padre::Task::LWP(3)

NAME
Padre::Task::LWP - Generic HTTP client background processing task

SYNOPSIS
  # Fire and forget HTTP request
  Padre::Task::LWP->new(
      request => HTTP::Request->new(
          GET => 'http://perlide.org',
      ),
  )->schedule;

DESCRIPTION
Sending and receiving data via HTTP.

METHODS

  new
  my $task = Padre::Task::LWP->new(
      method => 'GET',
      url    => 'http://perlide.org',
  );

The "new" constructor creates a Padre::Task for a background HTTP request.

It takes a single addition parameter "request" which is a fully-prepared HTTP::Request object for the request.

Returns a new Padre::Task::LWP object, or throws an exception on error.

  request
The "request" method returns the HTTP::Request object that was provided to the constructor.

  response
Before the "run" method has been fired the "response" method returns "undef".

After the "run" method has been fired the "response" method returns the HTTP::Response object for the LWP::UserAgent request.

Typically, you would use this in the "finish" method for the task, if you wish to take any further actions in Padre based on the result of the HTTP call.

SEE ALSO
This class inherits from "Padre::Task" and its instances can be scheduled using "Padre::TaskManager".

The transfer of the objects to and from the worker threads is implemented with Storable.

AUTHOR
Steffen Mueller "smueller@cpan.org"

COPYRIGHT AND LICENSE
Copyright 2008-2013 The Padre development team as listed in Padre.pm.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.